Bug 78270 - [MAINTAINER] Update devel/p5-Algorithm-Accounting
Summary: [MAINTAINER] Update devel/p5-Algorithm-Accounting
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-02 05:20 UTC by ychsiao
Modified: 2005-03-05 06:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ychsiao 2005-03-02 05:20:22 UTC
* update to 0.08
* fix fetch file bug

How-To-Repeat:  
diff Makefile
--- /usr/ports/devel/p5-Algorithm-Accounting/Makefile	Sat Feb 12 13:37:51 2005
+++ Makefile	Wed Mar  2 13:16:19 2005
@@ -1,4 +1,3 @@
-# New ports collection makefile for:	devel/p5-Algorithm-Accounting
 # Date created:				25 Oct 2004
 # Whom:					Yuan-Chung Hsiao <ychsiao@ychsiao.idv.tw>
 #
@@ -6,28 +5,26 @@
 #
 
 PORTNAME=	Algorithm-Accounting
-PORTVERSION=	0.05
+PORTVERSION=	0.08
 CATEGORIES=	devel perl5
 MASTER_SITES=	${MASTER_SITE_PERL_CPAN}
-MASTER_SITE_SUBDIR=	../../authors/id/G/GU/GOD
+MASTER_SITE_SUBDIR=	../../authors/id/G/GU/GUGOD
 PKGNAMEPREFIX=	p5-
 
 MAINTAINER=	ychsiao@ychsiao.org
-COMMENT=	Generate accounting statistic for general logs
-
-BUILD_DEPENDS=	${SITE_PERL}/Spiffy.pm:${PORTSDIR}/devel/p5-Spiffy \
-		${SITE_PERL}/Perl6/Form.pm:${PORTSDIR}/devel/p5-Perl6-Form \
-		${SITE_PERL}/FreezeThaw.pm:${PORTSDIR}/devel/p5-FreezeThaw \
 		${SITE_PERL}/Array/Compare.pm:${PORTSDIR}/misc/p5-Array-Compare \
-		${SITE_PERL}/Array/Iterator/Reusable.pm:${PORTSDIR}/devel/p5-Array-Iterator \
-		${SITE_PERL}/${PERL_ARCH}/Clone.pm:${PORTSDIR}/devel/p5-Clone \
+ 		${SITE_PERL}/Array/Iterator/Reusable.pm:${PORTSDIR}/devel/p5-Array-Iterator \
+ 		${SITE_PERL}/${PERL_ARCH}/Clone.pm:${PORTSDIR}/devel/p5-Clone \
+		${SITE_PERL}/GD/Graph.pm:${PORTSDIR}/graphics/p5-GD-Graph \
+		${SITE_PERL}/Imager/Graph/Pie.pm:${PORTSDIR}/graphics/p5-Imager-Graph \
 		${SITE_PERL}/YAML.pm:${PORTSDIR}/textproc/p5-YAML
-RUN_DEPENDS=	${BUILD_DEPENDS}
 
-BROKEN=		Unfetchable
+RUN_DEPENDS=	${BUILD_DEPENDS}
 
 PERL_CONFIGURE=	yes
 
-MAN3=		Algorithm::Accounting.3
-
+MAN3=		Algorithm::Accounting::Report.3 \
+		Algorithm::Accounting::Report::Text.3 \
+		Algorithm::Accounting::Report::GDGraph.3 \
+		Algorithm::Accounting::Report::Imager.3 
 .include <bsd.port.mk>

*diff distinfo
--- /usr/ports/devel/p5-Algorithm-Accounting/distinfo	Tue Oct 26 17:40:46 2004
+++ distinfo	Thu Feb 24 01:17:36 2005
@@ -1,2 +1,2 @@
-MD5 (Algorithm-Accounting-0.05.tar.gz) = f33ab7b352fcfd491346befffe5b8556
-SIZE (Algorithm-Accounting-0.05.tar.gz) = 10576
+MD5 (Algorithm-Accounting-0.08.tar.gz) = 8e2f24e8ac41760c904c56bc6864c989
+SIZE (Algorithm-Accounting-0.08.tar.gz) = 11259

*diff pkg-plist
--- /usr/ports/devel/p5-Algorithm-Accounting/pkg-plist	Tue Oct 26 17:40:46 2004
+++ pkg-plist	Thu Feb 24 01:38:08 2005
@@ -1,5 +1,10 @@
+%%SITE_PERL%%/Algorithm/Accounting/Report/Imager.pm
+%%SITE_PERL%%/Algorithm/Accounting/Report/Text.pm
+%%SITE_PERL%%/Algorithm/Accounting/Report/GDGraph.pm
+%%SITE_PERL%%/Algorithm/Accounting/Report.pm
 %%SITE_PERL%%/Algorithm/Accounting.pm
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/Accounting/.packlist
 @dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/Accounting
+@unexec rmdir %D/%%SITE_PERL%%/Algorithm/Accounting/Report 2>/dev/null || true
 @unexec rmdir %D/%%SITE_PERL%%/Algorithm/Accounting 2>/dev/null || true
 @unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/Accounting 2>/dev/null || true
Comment 1 Erwin Lansing freebsd_committer 2005-03-02 08:18:38 UTC
- Please use portlint, there are several whitespace errors, the COMMENT
  line was removed, the "ports collection makefile for" was removed,
  etc.
- 'make test' fails for perl 5.6.2 because it's missing Spiffy.pm as
  a dependency
Comment 2 ychsiao 2005-03-03 14:01:23 UTC
Sorry, that's my critical fault.
This's correct Makefile diff

Thanks!

ychsiao

--- /usr/ports/devel/p5-Algorithm-Accounting/Makefile	Thu Mar  3 21:00:28 2005
+++ Makefile	Thu Mar  3 21:57:23 2005
@@ -6,10 +6,10 @@
 #
 
 PORTNAME=	Algorithm-Accounting
-PORTVERSION=	0.05
+PORTVERSION=	0.08
 CATEGORIES=	devel perl5
 MASTER_SITES=	${MASTER_SITE_PERL_CPAN}
-MASTER_SITE_SUBDIR=	../../authors/id/G/GU/GOD
+MASTER_SITE_SUBDIR=	../../authors/id/G/GU/GUGOD
 PKGNAMEPREFIX=	p5-
 
 MAINTAINER=	ychsiao@ychsiao.org
@@ -21,13 +21,17 @@
 		${SITE_PERL}/Array/Compare.pm:${PORTSDIR}/misc/p5-Array-Compare \
 		${SITE_PERL}/Array/Iterator/Reusable.pm:${PORTSDIR}/devel/p5-Array-Iterator \
 		${SITE_PERL}/${PERL_ARCH}/Clone.pm:${PORTSDIR}/devel/p5-Clone \
+		${SITE_PERL}/GD/Graph.pm:${PORTSDIR}/graphics/p5-GD-Graph \
+		${SITE_PERL}/Imager/Graph/Pie.pm:${PORTSDIR}/graphics/p5-Imager-Graph \
+		${SITE_PERL}/Scalar/Util.pm:${PORTSDIR}/lang/p5-Scalar-List-Utils \
 		${SITE_PERL}/YAML.pm:${PORTSDIR}/textproc/p5-YAML
 RUN_DEPENDS=	${BUILD_DEPENDS}
 
-BROKEN=		Unfetchable
-
 PERL_CONFIGURE=	yes
 
-MAN3=		Algorithm::Accounting.3
+MAN3=		Algorithm::Accounting::Report.3 \
+		Algorithm::Accounting::Report::Text.3 \
+		Algorithm::Accounting::Report::GDGraph.3 \
+		Algorithm::Accounting::Report::Imager.3
 
 .include <bsd.port.mk>
Comment 3 Yen-Ming Lee freebsd_committer 2005-03-05 06:23:11 UTC
State Changed
From-To: open->closed

Committed, thanks.